﻿@model List<ARGNSContainerPackageView>

<div class="panel-group" id="accordion3">
    @foreach (ARGNSContainerPackageView item in Model)
    {
        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion3" href="#collapse-@item.U_CntnerNum-@item.U_CntnerTyp">
                        @Shipment.Container # @item.U_CntnerNum - @Shipment.Type @item.U_CntnerTyp
                    </a><i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                </h4>
            </div>
            <div id="collapse-@item.U_CntnerNum-@item.U_CntnerTyp" class="panel-collapse collapse">
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th><strong>@Shipment.IC</strong></th>
                                    <th><strong>@Shipment.IN</strong></th>
                                    <th><strong>@Shipment.Style</strong></th>
                                    <th><strong>Color</strong></th>
                                    <th><strong>@Shipment.Size</strong></th>
                                    <th><strong>@PDM.Quantity</strong></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (ARGNSContainerPackageLineView line in item.Lines)
                                {
                                    <tr>
                                        <td><input class="form-control" value='@(line.U_ItemCode)' disabled="disabled" /></td>
                                        <td><input class="form-control" value='@(line.U_ItemName)' disabled="disabled" /></td>
                                        <td><input class="form-control" value='@(line.U_ARGNS_MOD)' disabled="disabled" /></td>
                                        <td><input class="form-control" value='@(line.U_ARGNS_COL)' disabled="disabled" /></td>
                                        <td><input class="form-control" value='@(line.U_ARGNS_SIZE)' disabled="disabled" /></td>
                                        <td><input class="form-control" value='@(line.U_Quantity)' disabled="disabled" /></td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    }
</div>